CREATE OR REPLACE PROCEDURE ADD_CAT_MED_PROCE (COSTO_MED in FLOAT,NOMBRE_MEDI in VARCHAR2,TIPO_MEDI IN VARCHAR2) IS
BEGIN
    INSERT INTO CATALOGOMEDICAMENTO (COSTO_MED,NOMBRE_MEDI,TIPO_MEDI ) VALUES (COSTO_MED,NOMBRE_MEDI,TIPO_MEDI );
END;

CREATE SEQUENCE CAT_MED_SEQUENCE
 START WITH     1
 INCREMENT BY   1
 NOCACHE
 NOCYCLE;

create or replace trigger CAT_MED_TRIGGER  
   before insert on "CLINICA"."CATALOGOMEDICAMENTO" 
   for each row 
begin  
   if inserting then 
      if :NEW."ID_CAT_MEDI" is null then 
         select CAT_MED_SEQUENCE.nextval into :NEW."ID_CAT_MEDI" from dual; 
      end if; 
   end if; 
end;



